<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
/*
 * Copyright 2004-2006 Project Guarana Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * @package ficus.crypto
 */
/**
 * @file KeyGenerator.php
 * @brief key generator interface
 * @author <a href="mailto:kent@guarana.cc">ISHITOYA Kentaro</a>
 * @version $Id: SHA1KeyGenerator.php 2 2007-07-11 10:37:48Z ishitoya $
 * 
 * adhoc key generator.
 */

require_once "ficus/crypto/KeyGenerator.php";
require_once "ficus/lang/Random.php";

/**
 * @class Ficus_SHA1KeyGenerator
 */
class Ficus_SHA1KeyGenerator extends Ficus_KeyGenerator
{
    /**
     * Generate key
     * @return Ficus_Key generated key
     */
    public function generate(){
        $random = new Ficus_Random();
        return new Ficus_Key(self::KEY_SHA1, sha1($random->nextString()));
    }
}
?>
