<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
/*
 * Copyright 2004-2007 Project Guarana Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * @package ficus.media.audio
 */
/**
 * @file AudioBean.php
 * @brief audio information bean
 * @author <a href="mailto:kent@guarana.cc">ISHITOYA Kentaro</a>
 * @version $Id: AudioBean.php 2 2007-07-11 10:37:48Z ishitoya $
 * 
 * Page component factory
 */

require_once("ficus/beans/Bean.php");
require_once("ficus/media/audio/AudioConstants.php");

/**
 * @class Ficus_AudioBean
 */
class Ficus_AudioBean extends Ficus_Bean implements Ficus_AudioConstants{
    /**
     * length
     */
    protected $length;

    /**
     * filename
     */
    protected $filename;

    /**
     * bitrate
     */
    protected $bitrate;

    /**
     * frequency
     */
    protected $frequency;

    /**
     * codec
     */
    protected $codec;

    /**
     * method
     */
    protected $method;
}
?>
